.col-md-12 {
  position: relative;
  min-height: 1px;
  padding-right: 15px;
  padding-left: 15px;
  box-sizing: border-box;
}
.modal-body label {
  display: inline-block;
  max-width: 100%;
  margin-bottom: 0;
  font-weight: bold;
}
input[name="consentCheck"] {
  margin-right: 10px;
  cursor: pointer;
  vertical-align: middle;
}
.btn-group {
  margin: 20px auto 0;
}
.footer_btn {
  text-align: center;
  padding-top: 20px;
}
.btn-group .button-prev {
  margin: 0 auto;
  max-width: 100%;
}
.btn-group ul li.disabled {
  cursor: not-allowed;
}
.btn-group ul li {
  display: inline-block;
}
.btn-group ul li input.disabled {
  cursor: not-allowed;
  pointer-events: none;
  background-color: #ccc;
}
.g-modal__info_table td:first-child {
  width: 20%
}
.g-modal__info_table tr:nth-child(3n) td{
  padding-bottom: 10px
}
.g-modal__info_table td:last-child::before{
  content: "|"
}
@media screen and (max-width: 1024px){
  .modal-dialog {
    padding: 20px;
  }
}
#confirm_select_ticket {
  padding: 0;
}
#confirm_select_ticket .modal-dialog {
  padding: 0 !important;
}
#confirm_select_ticket .modal-header {
  padding: 15px 5px;
}
#confirm_select_ticket .modal-header h4.modal-title {
  text-align: center;
  font-size: 18px;
}
/* Design of modal dialog for #7750  */
  #warning_browser_back.modal {
    display: flex;
    justify-content: center;
    align-items: center;
    width: 30%;
    left: 35%;
  }
  @media (max-width: 979px) {
    #warning_browser_back.modal {
      display: flex;
      justify-content: center;
      align-items: center;
      width: 80% !important;
      max-width: none !important;
      left: 10%;
      overflow: hidden;
    }
  }
/* End: Design of modal dialog for #7750 */
.body-editor {
  max-height: calc(100vh - 320px) !important;
  overflow-y: auto !important;
  padding: 10px 15px;
}

/* width */
.body-editor::-webkit-scrollbar {
  width: 10px;
}

/* Track */
.body-editor::-webkit-scrollbar-track {
  box-shadow: inset 0 0 5px grey; 
  border-radius: 10px;
}
 
/* Handle */
.body-editor::-webkit-scrollbar-thumb {
  background: #7F7F7F; 
  border-radius: 10px;
}

/* Handle on hover */
.body-editor::-webkit-scrollbar-thumb:hover {
  background: #DDDDDD; 
}

@media screen and (max-width: 768px) {
  .modal-position {
    width: calc(100% / 1.5) !important;
    left: calc(100% / 6) !important;
  }
}
@media (min-width: 768px) {
  .modal-position {
    width: calc(100% / 2) !important;
    left: calc(100% / 4) !important;
  }
}
@media (max-height: 380px) {
  .modal-position {
    width: calc(100% / 1.8) !important;
    left: calc(100% / 4.5) !important;
  }
}
@media (min-width: 1024px) {
  .modal-position {
    width: calc(100% / 2.5) !important;
    left: calc(100% / 3.3) !important;
  }
}
@media (min-width: 1200px) {
  .modal-position {
    width: calc(100% / 3.6) !important;
    left: calc(100% / 2.8) !important;
  }
}
@media screen and (max-width: 369px) {
  .modal-position {
    width: calc(100% / 1.2) !important;
    left: calc(100% / 12) !important;
  }
}

.modal-position {
  border-radius: 6px;
  background-color: white;
  position: absolute;
  width: calc(100% / 3);
  left: calc(100% / 3);
  border: 1px solid rgb(111,112,114);
  pointer-events: visible;
  overflow: visible !important;
  padding: 0;
}
.modal-position .modal-header {
  padding: 0;
  margin: 0;
  border: none;
}

@media screen and (max-width: 1024px) {
  .modal-position .modal-dialog {
    padding: 0;
  }
}

.modal-scrollable:has(.modal-position) + .modal-backdrop {
  background: #ddd;
  opacity: 0.9;
}

.btn-modal-position-close {
  position:absolute;
  top: -10px;
  right: -10px;
  width: 30px;
  height: 30px;
  max-width: 30px;
  max-height: 30px;
  border: black 1px solid;
  border-radius: 50%;
  background-color: #aaa;
  cursor: pointer;
}
.btn-modal-position-close:hover {
  background-color: #c4c4c4;
}
.btn-modal-position-close>span {
  display: inline-block;
  vertical-align: middle;
  color: #fff;
  line-height: 1;
  width: 100%;
  height: 10%;
  background: currentColor;
  border-radius: 3px;
  position: relative;
  transform: rotate(45deg);
}
.btn-modal-position-close>span::before {
  content: '';
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background: inherit;
  border-radius: inherit;
  transform: rotate(90deg);
}
